package com.bonus.material.ma.mapper;

import com.bonus.material.ma.domain.DirectApplyDetails;
import com.bonus.material.ma.domain.DirectApplyExportInfo;
import com.bonus.material.ma.domain.DirectApplyInfo;
import com.bonus.material.settlement.domain.SltAgreementInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @description 直转申请
* @author hay
* @date   2025/2/17 19:38
*/
@Mapper
public interface DirectRotationMapper {

    /**
    * 根据协议Id查询在用数据
    * @param sltAgreementInfo
    * @return List<SltAgreementInfo>
    */
    List<SltAgreementInfo> getUseringData(SltAgreementInfo sltAgreementInfo);

    /**
     * 直转记录查询列表
     * @param directApplyInfo
     * @return
     */
    List<DirectApplyExportInfo> getList(DirectApplyInfo directApplyInfo);

    /**
     * 查看
     * @param sltAgreementInfo
     * @return
     */
    DirectApplyInfo getInfoById(SltAgreementInfo sltAgreementInfo);

    /**
     * 查看详情
     * @param sltAgreementInfo
     * @return
     */
    List<DirectApplyDetails> getDetailById(SltAgreementInfo sltAgreementInfo);

    /**
     * 修改直转记录
     * @param directApplyInfos
     * @return
     */
    int updateDirectApplyInfo(DirectApplyInfo directApplyInfos);

    /**
     * 删除直转记录详情
     * @param id
     * @return
     */
    int deleteDirectApplyDetails(Integer id);

    /**
     * 删除直转记录
     * @param id
     * @return
     */
    int deleteDirectApply(Long id);

    /**
     * 查询规格型号对应数据
     * @param bean
     * @return
     */
    List<SltAgreementInfo> getTypeNameList(SltAgreementInfo bean);

    /**
     * 直转详情信息
     * @param sltAgreementInfo
     * @return
     */
    List<DirectApplyDetails> selectDetails(SltAgreementInfo sltAgreementInfo);
}
